Index: modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/app.module.ts
===================================================================
--- modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/app.module.ts	(revision 56949)
+++ modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/app.module.ts	(revision 56950)
@@ -13,10 +13,8 @@
 // import { ErrorModule } from './error/error.module';
 import { ConfigurationService } from './utils/configuration/configuration.service';
 import {MainSearchModule} from './searchPages/find/mainSearch.module';
-import {PublicationModule} from './landingPages/publication/publication.module';
-import {DatasetModule} from './landingPages/dataset/dataset.module';
-import {SoftwareModule} from './landingPages/software/software.module';
-import {OrpModule} from './landingPages/orp/orp.module';
+
+import {ResultLandingModule} from "./landingPages/resultLanding.module";
 import {DataProviderModule} from './landingPages/dataProvider/dataProvider.module';
 import {ProjectModule} from './landingPages/project/project.module';
 import {OrganizationModule} from './landingPages/organization/organization.module';
@@ -78,7 +76,7 @@
     DepositDatasetsModule,DepositDatasetsResultsModule, DepositBySubjectResultsModule,DepositPublicationsModule , DepositPublicationsResultsModule,
     SearchPublicationsModule,SearchDatasetsModule, SearchSoftwareModule, SearchOrpsModule, SearchDataProvidersModule, SearchProjectsModule, SearchOrganizationsModule,
     AdvancedSearchPublicationsModule,AdvancedSearchDatasetsModule, AdvancedSearchSoftwareModule, AdvancedSearchOrpsModule, AdvancedSearchDataProvidersModule, AdvancedSearchProjectsModule, AdvancedSearchOrganizationsModule,
-    PublicationModule, DatasetModule, DataProviderModule, OrganizationModule, ProjectModule, SoftwareModule, OrpModule,
+    ResultLandingModule, DataProviderModule, OrganizationModule, ProjectModule,
     EntityRegistriesModule, CompatibleDataProvidersModule, JournalsModule,
     JournalsTableModule, EntityRegistriesTableModule, CompatibleDataProvidersTableModule,
     ClaimsAdminModule, MyClaimsModule, ClaimsByTokenModule, LinkingGenericModule, DirectLinkingModule,
Index: modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/app-routing.module.ts
===================================================================
--- modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/app-routing.module.ts	(revision 56949)
+++ modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/app-routing.module.ts	(revision 56950)
@@ -9,10 +9,7 @@
 import { ErrorPageComponent } from './error/errorPage.component';
 import {SearchComponent} from './searchPages/find/search.component';
 
-import {PublicationComponent} from './landingPages/publication/publication.component';
-import {DatasetComponent} from './landingPages/dataset/dataset.component';
-import {SoftwareComponent} from './landingPages/software/software.component';
-import {OrpComponent} from './landingPages/orp/orp.component';
+import {ResultLandingComponent} from "./landingPages/resultLanding.component";
 import {DataProviderComponent} from './landingPages/dataProvider/dataProvider.component';
 import {ProjectComponent} from './landingPages/project/project.component';
 import {OrganizationComponent} from './landingPages/organization/organization.component';
@@ -60,10 +57,10 @@
 
   { path: '', component:  SearchComponent, resolve: { envSpecific: EnvironmentSpecificResolver  }, canActivate: [ ]},
   { path: 'home', component:  SearchComponent, resolve: { envSpecific: EnvironmentSpecificResolver  } },
-  { path: 'search/publication', component: PublicationComponent , resolve: { envSpecific: EnvironmentSpecificResolver  } },
-  { path: 'search/dataset', component: DatasetComponent, resolve: { envSpecific: EnvironmentSpecificResolver  } },
-  { path: 'search/software', component: SoftwareComponent, resolve: { envSpecific: EnvironmentSpecificResolver  } },
-  { path: 'search/other', component: OrpComponent, resolve: { envSpecific: EnvironmentSpecificResolver  }},
+  { path: 'search/publication', component: ResultLandingComponent , resolve: { envSpecific: EnvironmentSpecificResolver  } },
+  { path: 'search/dataset', component: ResultLandingComponent, resolve: { envSpecific: EnvironmentSpecificResolver  } },
+  { path: 'search/software', component: ResultLandingComponent, resolve: { envSpecific: EnvironmentSpecificResolver  } },
+  { path: 'search/other', component: ResultLandingComponent, resolve: { envSpecific: EnvironmentSpecificResolver  }},
   { path: 'search/project', component: ProjectComponent , resolve: { envSpecific: EnvironmentSpecificResolver  } },
   { path: 'search/dataprovider', component: DataProviderComponent , resolve: { envSpecific: EnvironmentSpecificResolver  } },
   { path: 'search/organization', component: OrganizationComponent , resolve: { envSpecific: EnvironmentSpecificResolver  } },
